Get request status
Get the status of an asynchronous request Endpoint Permission: Admin and Non-Signing Admin.
GET
/
cosigners
/
{cosignerId}
/
api_keys
/
{apiKeyId}
/
{requestId}
TypeScript
const response: Promise<FireblocksResponse<Status>> = fireblocks.cosignersBeta.getRequestStatus(cosignersBetaApiGetRequestStatusRequest);CompletableFuture<ApiResponse<Status>> response = fireblocks.cosignersBeta().getRequestStatus(cosignerId, apiKeyId, requestId);response = fireblocks.cosigners_beta.get_request_status(cosigner_id, api_key_id, request_id);curl --request GET \
--url https://api.fireblocks.io/v1/cosigners/{cosignerId}/api_keys/{apiKeyId}/{requestId}const options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/cosigners/{cosignerId}/api_keys/{apiKeyId}/{requestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "COMPLETED",
"type": "PAIR_API_KEY"
}{
"message": "<string>",
"code": 123
}Path Parameters
The unique identifier of the cosigner
The unique identifier of the API key
Response
The status of the request
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<Status>> = fireblocks.cosignersBeta.getRequestStatus(cosignersBetaApiGetRequestStatusRequest);CompletableFuture<ApiResponse<Status>> response = fireblocks.cosignersBeta().getRequestStatus(cosignerId, apiKeyId, requestId);response = fireblocks.cosigners_beta.get_request_status(cosigner_id, api_key_id, request_id);